package com.dayou.enums.workflow;

import com.dayou.enums.CodeMsgEnumInterface;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/10/17
 * created with IntelliJ IDEA.
 */
public enum NodeTaskEnum implements CodeMsgEnumInterface<String,String> {
    OPENING("下单", "OPENING",true,""),
    APPROVAL("审批", "APPROVAL",false,""),
    ALLOCATION("分单", "ALLOCATION",true,"请完成项目负责人和项目参与人的配置"),
    FORMULATE("制定", "FORMULATE",true,"请联系客户拟定方案，若已完成。请直接点击提交按钮继续流程"),
    RECONNAISSANCE("勘察", "RECONNAISSANCE",true,""),
    PRICING("定价", "PRICING",true,""),
    QUOTE("报价", "QUOTE",true,""),
    FEEDBACK("反馈","FEEDBACK",true,""),
    WRITE("撰写","WRITE",true,""),
    CHECK("审核","CHECK",false,""),
    DELIVERY("送达","DELIVERY",false,""),
    ARCHIVING("归档","ARCHIVING",true,""),
    IO_WAREHOUSE("出入库","IO_WAREHOUSE",true,""),
    BOOKBINDING_STAMP("装订盖章","BOOKBINDING_STAMP",false,""),
    TAKE_NUMBER("取号","TAKE_NUMBER",true,""),
    UPLOAD("上传","UPLOAD",true,""),
    APPLY("申请","APPLY",true,""),
    ;

    private String description;

    private String code;

    private Boolean businessHandle;

    private String info;

    NodeTaskEnum(String name, String code, Boolean businessHandle,String info) {
        this.description = name;
        this.code = code;
        this.businessHandle = businessHandle;
        this.info =info;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return description;
    }

    public Boolean getBusinessHandle(){
        return businessHandle;
    }

    public String getInfo() {
        return info;
    }
}
